﻿using System.Drawing;
using QuadTreeLib;
using RectangleF = QuadTreeLib.RectangleF;

namespace QuadTreeExample
{
    class Item : IHasRectangleF
    {
        public RectangleF Rectangle { get; private set; }
        public int Id { get; private set; }
        public Color Color { get; set; }

        public Item(float x, float y, int id, int width, int height)
        {
            this.Color = Color.Red;
            Id = id;
            Rectangle = new RectangleF(x, y, width, height);
        }
    }
}
